Package Details: python2-storm 0.20-1

Git Clone URL: https://aur.archlinux.org/python2-storm.git (read-only)
Package Base: python2-storm
Description: Object-relational mapper (ORM) for Python developed at Canonical.
Upstream URL: http://storm.canonical.com/
Licenses: LGPL
Submitter: None
Maintainer: pingveno
Last Packager: pingveno
Votes: 46
Popularity: 0.881889
First Submitted: 2010-11-01 11:12
Last Updated: 2015-07-08 18:16

Dependencies (6)

Sources (1)

Latest Comments

emhs commented on 2013-09-07 01:18

PKGBUILD references python-transaction as an OptDepend where it should ask for python2-transaction.

stativ commented on 2012-11-01 09:11

storm merged into python2-storm.

gimmy commented on 2011-08-21 21:09

You have to quoting some depends name and arch in roder to compile.

xangelux commented on 2011-08-14 19:04

can't build it, says:

/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'include_package_data'
warnings.warn(msg)
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'zip_safe'
warnings.warn(msg)
invalid command name '-'

Tryed with 'makepkg -s'

pingveno commented on 2011-04-11 16:44

New PKGBUILDs/installs should use python2-storm. This package was originally misnamed. The good folks over at Canonical are working on a Python 3 version, so don't upload a python-storm yet!

Foucault commented on 2010-12-19 13:14

0.18 is out since October. Is this being maintained anymore?
PKGBUILD: http://aur.pastebin.com/raw.php?i=mWMmDsiN

Foucault commented on 2010-12-19 13:12

0.18 is out since October. Is this maintained anymore?
PKGBUILD: http://aur.pastebin.com/raw.php?i=mWMmDsiN

Foucault commented on 2010-10-19 12:51

0.17 PKGBUILD, compatible with the latest python update.
http://pastebin.com/raw.php?i=mKLaCbUC

Anonymous comment on 2010-08-02 17:57

This package needs to add python-transaction to it's dependency list. It's needed by zope/zstorm.py